menu {utils} | R Documentation

## Menu Interaction Function

### Description

`menu` presents the user with a menu of choices labelled from 1 to the number of choices. To exit without choosing an item one can select 0.

### Usage

    menu(choices, graphics = FALSE, title = NULL)

### Arguments

`choices` | a character vector of choices
`graphics` | a logical indicating whether a graphics menu should be used if available.
`title` | a character string to be used as the title of the menu. `NULL` is also accepted.

### Details

If `graphics = TRUE` and a windowing system is available (Windows, OS X or X11 via Tcl/Tk) a listbox widget is used, otherwise a text menu. It is an error to use `menu` in a non-interactive session.

Ten or fewer items will be displayed in a single column, more in multiple columns if possible within the current display width.

No title is displayed if `title` is `NULL` or `""`.

### Value

The number corresponding to the selected item, or 0 if no choice was made.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`select.list`, which is used to implement the graphical menu, and allows multiple selections.

### Examples

    ## Not run:
    switch(menu(c("List letters", "List LETTERS")) + 1,
           cat("Nothing done\n"), letters, LETTERS)

    ## End(Not run)

[Package utils version 3.3.0 Index]